<?php

function squirrelmail_plugin_init_change_ldappass() {
  global $squirrelmail_plugin_hooks;
  $squirrelmail_plugin_hooks["options_save"]["change_ldappass"] = "change_ldappass_save_pref";
  $squirrelmail_plugin_hooks["optpage_register_block"]["change_ldappass"] = "change_ldappass_optpage_register_block"; 
}


function change_ldappass_optpage_register_block() {
      global $optpage_blocks;

      if (defined("SM_PATH")) {
	bindtextdomain ('changeldappass', SM_PATH . 'plugins/change_ldappass/locale');
      } else {
        bindtextdomain ('changeldappass', '../plugins/change_ldappass/locale');
      }
      textdomain ('changeldappass');

      $optpage_blocks[] = array(
         'name' => _("Change Password"),
         'url'  => '../plugins/change_ldappass/options.php',
	 'desc' => _("Change your login password for all services."),
         'js'   => false

      );
      if (defined("SM_PATH")) {
	bindtextdomain('squirrelmail', SM_PATH . 'locale');
      } else {
      	bindtextdomain ('squirrelmail', '../locale');
      }
      textdomain('squirrelmail');
}


function change_ldappass_save_pref() {
   global $plugin_change_ldappass;

   if (!isset($plugin_change_ldappass))
       return;

   echo "<p align=center>";
   echo _("Password changed successfully.");
   echo "</p>\n";
}

?>
